Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231758 (perl-Workflow) - Review Request: perl-Workflow - Simple, flexible system to implement workflows
Summary: Review Request: perl-Workflow - Simple, flexible system to implement workflows
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Workflow
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Workflow/
Whiteboard:
: 232734 (view as bug list)
Depends On: perl-DBD-Mock perl-Class-Factory 231755 232612
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 08:04 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:01:19 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-11 08:04:12 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Workflow-0.26-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Workflow.spec

Description:
The 'Workflow' Perl module implements a standalone workflow system. It
aims to be simple but flexible and therefore powerful. Each piece of
the workflow system has a direct and easily stated job, and hopefully
you'll find that you can put the pieces together to create very useful
systems.

Comment 1 Chris Weyl 2007-03-11 08:06:36 UTC
Note the rpmlint warning of:

[cweyl@zeus noarch]$ rpmlint perl-Workflow-0.26-1.fc6.noarch.rpm 
W: perl-Workflow doc-file-dependency
/usr/share/doc/perl-Workflow-0.26/eg/ticket/App/Web.pm perl(XML::Simple)

...is expected.  perl(XML::Simple) is an actual requirement.

Comment 2 Chris Weyl 2007-03-17 03:32:26 UTC
*** Bug 232734 has been marked as a duplicate of this bug. ***

Comment 3 Andreas Thienemann 2007-03-17 10:18:43 UTC
Your package is requiring perl(Data::UUID). This seems to be problematic which
is why I filtered the requirement from my version.
The license.txt for Data::UUID states:

"The license under which this code was originally released is unknown, although
its release has been interpreted as its release under an open source license.
Attempts to contact the original author are underway. -- rjbs, 2006-11-14"

I'd suggest you do filter that requirement as it is optional according to the
readme. Alternatively, review my package. :D Less work for you.

About the docs, I solved that problem by just running tar and gzip on the
example file and packaging that tar.gz file.

Comment 4 Chris Weyl 2007-03-17 16:35:55 UTC
(In reply to comment #3)
> Your package is requiring perl(Data::UUID). This seems to be problematic which
> is why I filtered the requirement from my version.
> The license.txt for Data::UUID states:
> 
> "The license under which this code was originally released is unknown, although
> its release has been interpreted as its release under an open source license.
> Attempts to contact the original author are underway. -- rjbs, 2006-11-14"
> 
> I'd suggest you do filter that requirement as it is optional according to the
> readme. Alternatively, review my package. :D Less work for you.

Data::UUID I didn't worry about too much -- it's in extras, so presumptively the
license is OK.  If a package license is under question, then a bug should be
filed, an audit conducted, etc; otherwise I'm going to trust, in good faith, the
reviewer, packager, and "rjbs" :) got it right.

> About the docs, I solved that problem by just running tar and gzip on the
> example file and packaging that tar.gz file.

Yeah, I've never actually been a fan of that...  if the docs are too large to
reasonably keep with the base package, then a -docs subpackage is in order.  The
point is well taken though -- looking back at the package, it's ~400k installed,
~220k of which is %doc.  So, that's a large percentage of the package taken up
by %doc, but still a fairly small amount of disk space overall.  I could easily
be talked into splitting them out into -docs.

Comment 5 Parag AN(पराग) 2007-04-04 04:51:43 UTC
I think you should add perl(Data::UUID) and SPOPS as make test showed me
t/persister_spops..................skipped
        all skipped: SPOPS not installed
t/persister_uuid...................skipped
        all skipped: Data::UUID not installed


Comment 6 Chris Weyl 2007-04-07 20:06:49 UTC
Added perl(Data::UUID) and perl(SPOPS) as BRs; however, perl(SPOPS) is commented
out as it isn't in Fedora yet, and depends on perl(Class::Fields) whose tests
fail.  If Class-Fields cleans itself up and perl(SPOPS) makes it into Fedora,
I'll uncomment it...

SRPM URL: http://home.comcast.net/~ckweyl/perl-Workflow-0.26-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Workflow.spec

Comment 7 Parag AN(पराग) 2007-04-09 04:10:11 UTC
Is perl-Class-Fields and perl(SPOPS) is in Fedora or its submitted for review?

Comment 8 Chris Weyl 2007-04-09 14:48:21 UTC
(In reply to comment #7)
> Is perl-Class-Fields and perl(SPOPS) is in Fedora or its submitted for review?

Neither are.  perl-SPOPS would depend on perl-Class-Fields, and
perl-Class-Fields fails its own tests currently.

Comment 9 Chris Weyl 2007-04-24 05:12:11 UTC
ping?

Comment 10 Parag AN(पराग) 2007-04-24 09:13:51 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e9c25c357b0e2a62fa91493b818a538f  Workflow-0.26.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
t/action...........................ok
t/action_field.....................ok
t/action_null......................ok
t/base.............................ok
t/condition........................ok
t/condition_evaluate...............ok
t/config...........................Use of uninitialized value in numeric eq (==)
at t/config.t line 41.
ok
t/context..........................ok
t/exception........................ok
t/factory..........................ok
t/factory_subclass.................ok
t/history..........................ok
t/persister_dbi....................Use of uninitialized value in concatenation
(.) or string at /usr/lib/perl5/vendor_perl/5.8.8/DBD/Mock.pm line 531.
ok
t/persister_dbi_extra_data.........ok
t/persister_file...................ok
t/persister_random_id..............ok
t/persister_spops..................skipped
        all skipped: SPOPS not installed
t/persister_uuid...................skipped
        all skipped: Data::UUID not installed
t/state............................ok
t/validator........................ok
t/validator_has_required_field.....ok
t/validator_in_enumerated_type.....ok
t/validator_matches_date_format....ok
t/workflow.........................Use of uninitialized value in concatenation
(.) or string at /usr/lib/perl5/vendor_perl/5.8.8/DBD/Mock.pm line 531.
ok
All tests successful, 2 tests skipped.
Files=24, Tests=192, 10 wallclock secs ( 7.04 cusr +  0.79 csys =  7.83 CPU)

+ Provides: perl(Workflow) perl(Workflow::Action)
perl(Workflow::Action::InputField) perl(Workflow::Action::Null)
perl(Workflow::Base) perl(Workflow::Condition)
perl(Workflow::Condition::Evaluate) perl(Workflow::Condition::HasUser)
perl(Workflow::Config) perl(Workflow::Config::Perl) perl(Workflow::Config::XML)
perl(Workflow::Context) perl(Workflow::Exception) perl(Workflow::Factory)
perl(Workflow::History) perl(Workflow::Persister) perl(Workflow::Persister::DBI)
perl(Workflow::Persister::DBI::AutoGeneratedId)
perl(Workflow::Persister::DBI::ExtraData)
perl(Workflow::Persister::DBI::SequenceId) perl(Workflow::Persister::File)
perl(Workflow::Persister::RandomId) perl(Workflow::Persister::SPOPS)
perl(Workflow::Persister::UUID) perl(Workflow::State) perl(Workflow::Validator)
perl(Workflow::Validator::HasRequiredField)
perl(Workflow::Validator::InEnumeratedType)
perl(Workflow::Validator::MatchesDateFormat)
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(DBI) perl(Data::Dumper)
perl(Data::UUID) perl(DateTime) perl(DateTime::Format::Strptime)
perl(Exception::Class) perl(File::Spec::Functions) perl(Log::Log4perl)
perl(Safe) perl(Workflow) perl(Workflow::Action)
perl(Workflow::Action::InputField) perl(Workflow::Condition)
perl(Workflow::Condition::Evaluate) perl(Workflow::Config)
perl(Workflow::Context) perl(Workflow::Exception) perl(Workflow::Factory)
perl(Workflow::History) perl(Workflow::Persister)
perl(Workflow::Persister::DBI::AutoGeneratedId)
perl(Workflow::Persister::DBI::SequenceId) perl(Workflow::Persister::RandomId)
perl(Workflow::State) perl(Workflow::Validator)
perl(Workflow::Validator::HasRequiredField) perl(XML::Simple) perl(base)
perl(constant) perl(strict)

APPROVED.


Comment 11 Chris Weyl 2007-04-24 14:56:45 UTC
New Package CVS Request
=======================
Package Name: perl-Workflow
Short Description: Simple, flexible system to implement workflows
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 12 Chris Weyl 2007-04-25 19:01:19 UTC
Imported, built, and all that goodness.  Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.